<head>
    <style>
        #required:after {
            content: " *";
            color: red;
        }
    </style>

</head>



<div id="cover">
    <div class="loader">

    </div>
</div>
<div ng-cloak>
    <div class="scrollbar force-overflow style-4">

        <div ng-show="alertModal" class="alert" style="display : block" role="alert"
            ng-class="{success:success,error:error,warning:warning}">
            <span class="pull-right" ng-click="alertModal=false;error=false;success=false;warning=false;"
                aria-label="Close">
                <span aria-hidden="true">&nbsp;&times;</span>
            </span>
            <strong>{{errCode}}</strong> {{errDesc}}
            <br>
            <a ng-show="alertModalError" data-toggle="collapse" data-target="#demo">
                <strong>
                    <u>Error Details</u>
                </strong>
            </a>
            <div ng-show="alertModalError" id="demo" class="collapse">
                <textarea style="width: 100%;" readonly rows="5" cols="50">{{errDtls}}</textarea>
            </div>
        </div>


        <div class="row create-button">
            <div class="col-sm-1 container" style="margin-top: -5pt;margin-top: 9px;margin-left: 23px;">
                <button type="button" style="width: 100px;" class="common-button first-button"
                    ng-disabled="disableCreate"
                    data-ng-click="newReportingClassPage = true; searchClassPage = false; tableData = false; pageName = 'Create'">
                    <span>Create</span>
                </button>
            </div>
            <div class="col-sm-2">
                <h3 class="text-center master-header" style="margin-top: 10pt; margin-left: 400px;">
                    {{pageName}} Reporting Class
                </h3>
            </div>
        </div>



        <div ng-show="searchClassPage">
            <div class="container-fluid custom-margin-top" ng-class="{'disabled-background' :enableNetwork}">
                <form name="classSearchForm" autocomplete="off">
                    <fieldset>
                        <div class="row">
                            <div class="form-group col-md-5">
                                <label for="classCode" required> Reporting Class Code </label>
                                <div>
                                    <input name="classCode" type="text" placeholder="Class Code Ex:HLTP" required
                                        class="form-control input-normal" data-ng-model="CLASSCODE"
                                        ng-keypress="($event.which === 13)? checkClassCode() :''" title="{{CLASSCODE}}">
                                    <p class="text-error"
                                        data-ng-show="(classSearchForm.submitted || classSearchForm.classCode.$touched ) && (classSearchForm.classCode.$invalid)">
                                        <span class="glyphicon glyphicon-warning-sign incorrect"></span>Please enter
                                        class code </p>
                                </div>
                            </div>
                            <div class="form-group col-md-2"></div>
                            <div class="form-group col-md-5">
                                <label for="classDescription"> Reporting Class Description </label>
                                <div>
                                    <input name="classDescription" type="text" maxlength="40"
                                        class="form-control input-normal" data-ng-model="CLASSDESCRIPTION"
                                        ng-keypress="($event.which === 13)? checkClassCode() :''"
                                        title="{{CLASSDESCRIPTION}}">
                                </div>
                            </div>
                        </div>



                        <div class="row">
                            <div class="button-container-right custom-padding-right ">
                                <div class="pull-right button-right-margin">
                                    <button type="button" style="width: 100px;" class="common-button second-button"
                                        data-ng-click="checkClassCode()">Search</button>
                                    <button type="button" style="width: 100px;"
                                        class="common-button first-button">Return</button>
                                </div>
                            </div>
                        </div>

                    </fieldset>
                </form>
            </div>
        </div>


        <div ng-show="newReportingClassPage">
            <div class="container-fluid custom-margin-top" ng-class="{'disabled-background' :enableNetwork}">
                <form name="reportingClassForm" autocomplete="off">
                    <fieldset>
                        <div class="row">
                            <div class="form-group col-md-5">
                                <label> Reporting Class Code </label>
                                <div>
                                    <input name="classcode" type="text" readonly value="{{CLASSCODE}}"
                                        class="form-control input-normal" title="{{CLASSCODE}}">
                                </div>
                            </div>
                            <div class="form-group col-md-2"></div>
                            <div class="form-group col-md-5">
                                <label for="classDescription" id="required"> Reporting Class Description </label>
                                <div>
                                    <input name="classdescription" type="text" maxlength="40" required
                                        class="form-control input-normal" data-ng-model="CLASSDESCRIPTION"
                                        ng-keypress="($event.which === 13)? saveData() :''"
                                        title="{{CLASSDESCRIPTION}}">
                                    <p class="text-error"
                                        data-ng-show="(reportingClassForm.submitted || reportingClassForm.classdescription.$touched ) && (reportingClassForm.classdescription.$invalid)">
                                        <span class="glyphicon glyphicon-warning-sign incorrect"></span>Please enter
                                        class description </p>
                                </div>
                            </div>
                        </div>



                        <div class="row">
                            <div class="button-container-right custom-padding-right ">
                                <div class="pull-right button-right-margin">
                                    <button type="button" style="width: 100px;" class="common-button second-button"
                                        data-ng-click="saveData()">Submit</button>
                                    <button type="button" style="width: 100px;" class="common-button first-button"
                                        data-ng-click="searchClassPage = true; disableCreate = true; newReportingClassPage = false;">Return</button>
                                </div>
                            </div>
                        </div>
                    </fieldset>
                </form>
            </div>
        </div>


        <div class="row">
            <div class="table-responsive col-sm-12 force-overflow style-4"
                ng-show="SEARCHEDCLASS.length > 0 || tableData">

                <table class="table table-bordered table-striped custom-table" cellpadding="0" cellspacing="0"
                    border="0">
                    <thead class="custom-table-header">
                        <tr>

                            <th> Class Code </th>
                            <th> Class Description </th>


                        </tr>
                    </thead>
                    <tbody>

                        <tr data-ng-repeat="class in SEARCHEDCLASS">

                            <td title="{{class.CLASSCODE}}">{{class.CLASSCODE}}</td>
                            <td title="{{class.CLASDESCRIPTION}}">{{class.CLASDESCRIPTION}}</td>

                        </tr>
                        <tr ng-show="tableData">
                            <td colspan="11" class="input-empty"> No records Found !! </td>
                        </tr>
                    </tbody>
                </table>

            </div>
            <div class="col-sm-12">
                <div class="pull-left " ng-show="SEARCHEDCLASS.length > 0">
                    <label></label>

                    <span class="">
                        <b>Showing {{(currentPosition-1) * 5 + 1}} - {{(currentPosition-1) * 5 + 5
                                    < resultCount ? (currentPosition-1) * 5 + 5 :resultCount}} of {{resultCount}}
                            records
                        </b>
                    </span>
                </div>
                <div class="pull-right" ng-show="SEARCHEDCLASS.length > 0">
                    <div class="shift-right">
                        <a href="#" ng-click="getReportingClassData(totalPages)"
                            ng-class="{'not-active' : currentPosition == totalPages}">
                            <span class="glyphicon glyphicon-forward"></span>
                        </a>
                    </div>

                    <div class="shift-right">
                        <a href="#" ng-click="getReportingClassData(currentPosition+1)"
                            ng-class="{'not-active' : currentPosition == totalPages}">
                            <span class="glyphicon glyphicon-chevron-right"></span>
                        </a>
                    </div>
                    <div class="shift-right" ng-hide="currentPosition + 1 >=totalPages || totalPages <=3">
                        <span>... </span>
                        <a href="#" ng-click="getReportingClassData(totalPages)"
                            ng-class="{'not-active' : currentPosition == totalPages}">
                            <span>{{totalPages}}</span>
                        </a>
                    </div>

                    <div class="shift-right" ng-hide="nextPage == 0"
                        ng-class="{'pag-active' : totalPages == currentPosition}">
                        <a href="#" ng-click="getReportingClassData(nextPage)">
                            <span>{{nextPage}}</span>
                        </a>
                    </div>

                    <div class="shift-right"
                        ng-class="{'pag-active' : !((totalPages == currentPosition && currentPosition != 2) ||(currentPosition == 1 && totalPages > 2))}">
                        <a href="#" ng-click="getReportingClassData(middlePage)">
                            <span>{{middlePage}}</span>
                        </a>
                    </div>

                    <div class="shift-right" ng-hide="previousPage == 0"
                        ng-class="{'pag-active' : currentPosition == 1}">
                        <a href="#" ng-click="getReportingClassData(previousPage)">
                            <span>{{previousPage}}</span>
                        </a>
                    </div>
                    <div class="shift-right" ng-show="currentPosition > 2 && totalPages > 3">
                        <a href="#" ng-click="getReportingClassData(1)">
                            <span>1</span>
                        </a>
                        <span> ...</span>
                    </div>

                    <div class="shift-right">
                        <a href="#" ng-click="getReportingClassData(currentPosition-1)"
                            ng-class="{'not-active' : currentPosition == 1}">
                            <span class="glyphicon glyphicon-chevron-left"></span>
                        </a>
                    </div>

                    <div class="shift-right">
                        <a href="#" ng-click="getReportingClassData(1)"
                            ng-class="{'not-active' : currentPosition == 1}">
                            <span class="glyphicon glyphicon-backward"></span>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>